Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000561Core InformUnderstandingpublic2011-02-13 23:122014-05-07 07:35
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000561: Missing text in the error message for a spurious ``is'' in a condition on understanding
DescriptionThe attached source gives

- - - -
In the sentence 'Understand "moi" as yourself when yourself is doing something' , it looks as if you intend 'yourself is doing something' to be a condition, but that would mean comparing two kinds of value which cannot mix - a person and a - so this must be incorrect.
- - - -

Notably, the empty string is used for the second kind.
Minimal Source Text To Reproduce
There is a room.
Understand "moi" as yourself when yourself is doing something.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships
has duplicate 0000485closedgraham Misleading problem message from "if the action name part of SA is examining" 

-  Notes
(0001384)
graham (administrator)
2011-10-15 11:05

Fixed.

- Issue History
Date Modified Username Field Change
2011-02-13 23:12 EmacsUser New Issue
2011-02-22 16:09 jmcgrew Status new => acknowledged
2011-05-30 22:05 jmcgrew Status acknowledged => confirmed
2011-10-15 11:05 graham Note Added: 0001384
2011-10-15 11:05 graham Status confirmed => resolved
2011-10-15 11:05 graham Resolution open => fixed
2011-10-15 11:05 graham Assigned To => graham
2011-10-15 12:19 jmcgrew Relationship added has duplicate 0000485
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:35 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker